# IMPORTANT - Remember to import Image from the byuimage library: `from byuimage import Image`

def iron_puzzle(filename):
    """*** YOUR CODE HERE ***"""


def west_puzzle(filename):
    """*** YOUR CODE HERE ***"""


def darken(filename, percent):
    """*** YOUR CODE HERE ***"""


def grayscale(filename):
    """*** YOUR CODE HERE ***"""


def sepia(filename):
    """*** YOUR CODE HERE ***"""


def create_left_border(filename, weight):
    """*** YOUR CODE HERE ***"""


###################################################
# Code below here is for extra practice and doesn't count for or against
# your grade on this lab.
def create_stripes(filename):
    """*** YOUR CODE HERE ***"""


def copper_puzzle(filename):
    """*** YOUR CODE HERE ***"""
